CVE-2018-17795

NameCVE-2018-17795
DescriptionThe function t2p_write_pdf in tiff2pdf.c in LibTIFF 4.0.9 allows remote attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted TIFF file, a similar issue to CVE-2017-9935.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tiff (PTS)jessie4.0.3-12.3+deb8u5fixed
jessie (security)4.0.3-12.3+deb8u7fixed
stretch4.0.8-2+deb9u2fixed
stretch (security)4.0.8-2+deb9u4fixed
buster, sid4.0.10-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tiffsource(unstable)4.0.9-2medium
tiffsourcejessie4.0.3-12.3+deb8u5medium
tiffsourcestretch4.0.8-2+deb9u2medium
tiff3source(unstable)(unfixed)medium

Notes

http://bugzilla.maptools.org/show_bug.cgi?id=2816
Similar issue as CVE-2017-9935 but not considered the same, but adressed
with same commit.
https://gitlab.com/libtiff/libtiff/commit/3dd8f6a357981a4090f126ab9025056c938b6940

Search for package or bug name: Reporting problems